summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--docker/scripts/lib_vpp.sh12
-rw-r--r--jjb/vpp/docs.yaml4
-rw-r--r--jjb/vpp/vpp.yaml29
3 files changed, 6 insertions, 39 deletions
diff --git a/docker/scripts/lib_vpp.sh b/docker/scripts/lib_vpp.sh
index 54aa4bee0..440c92010 100644
--- a/docker/scripts/lib_vpp.sh
+++ b/docker/scripts/lib_vpp.sh
@@ -26,7 +26,7 @@ export CIMAN_DOCKER_SCRIPTS=${CIMAN_DOCKER_SCRIPTS:-"$(dirname "${BASH_SOURCE[0]
VPP_SUPPORTED_EXECUTOR_CLASSES="builder"
vpp_supported_executor_class() {
- if ! grep -q "${1:-}" <<< $VPP_SUPPORTED_EXECUTOR_CLASSES ; then
+ if ! grep -q "${1:-}" <<< "$VPP_SUPPORTED_EXECUTOR_CLASSES"; then
return 1
fi
return 0
@@ -122,9 +122,9 @@ docker_build_setup_vpp() {
# to create an enumerated set of jobs jobs that match the
# definitions here.
declare -A VPP_BRANCHES
-VPP_BRANCHES["debian-11"]="stable/2402 stable/2406 master"
-VPP_BRANCHES["debian-12"]="master"
-VPP_BRANCHES["ubuntu-20.04"]="stable/2402 stable/2406 master"
-VPP_BRANCHES["ubuntu-22.04"]="stable/2402 stable/2406 master"
-VPP_BRANCHES["ubuntu-24.04"]="master"
+VPP_BRANCHES["debian-11"]="stable/2406 stable/2410 master"
+VPP_BRANCHES["debian-12"]="stable/2410 master"
+VPP_BRANCHES["ubuntu-20.04"]="stable/2406 stable/2410 master"
+VPP_BRANCHES["ubuntu-22.04"]="stable/2406 stable/2410 master"
+VPP_BRANCHES["ubuntu-24.04"]="stable/2410 master"
export VPP_BRANCHES
diff --git a/jjb/vpp/docs.yaml b/jjb/vpp/docs.yaml
index 91f7fa687..34d88f984 100644
--- a/jjb/vpp/docs.yaml
+++ b/jjb/vpp/docs.yaml
@@ -13,10 +13,6 @@
- 'master':
branch: 'master'
branch-refspec: ''
- - '2402':
- branch: 'stable/2402'
- branch-refspec: ''
- os: 'ubuntu2204'
- '2406':
branch: 'stable/2406'
branch-refspec: ''
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index 2e13b5a99..4af93144f 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -39,10 +39,6 @@
- 'master':
branch: 'master'
branch-refspec: ''
- - '2402':
- os: 'ubuntu2204'
- branch: 'stable/2402'
- branch-refspec: ''
- '2406':
os: 'ubuntu2204'
branch: 'stable/2406'
@@ -117,9 +113,6 @@
- 'master':
branch: 'master'
branch-refspec: ''
- - '2402':
- branch: 'stable/2402'
- branch-refspec: ''
- '2406':
branch: 'stable/2406'
branch-refspec: ''
@@ -129,15 +122,9 @@
executor-arch: 'x86_64'
exclude:
# ubuntu-24.04 introduced in VPP 24.10
- - stream: '2402'
- os: 'ubuntu2404'
- # ubuntu-24.04 introduced in VPP 24.10
- stream: '2406'
os: 'ubuntu2404'
# debian-12 introduced in VPP 24.10
- - stream: '2402'
- os: 'debian12'
- # debian-12 introduced in VPP 24.10
- stream: '2406'
os: 'debian12'
@@ -158,9 +145,6 @@
- 'master':
branch: 'master'
branch-refspec: ''
- - '2402':
- branch: 'stable/2402'
- branch-refspec: ''
- '2406':
branch: 'stable/2406'
branch-refspec: ''
@@ -169,9 +153,6 @@
branch-refspec: ''
exclude:
# ubuntu-24.04 introduced in VPP 24.10
- - stream: '2402'
- os: 'ubuntu2404'
- # ubuntu-24.04 introduced in VPP 24.10
- stream: '2406'
os: 'ubuntu2404'
@@ -276,9 +257,6 @@
- 'master':
branch: 'master'
branch-refspec: ''
- - '2402':
- branch: 'stable/2402'
- branch-refspec: ''
- '2406':
branch: 'stable/2406'
branch-refspec: ''
@@ -288,9 +266,6 @@
executor-arch: 'aarch64'
exclude:
# ubuntu-24.04 introduced in VPP 24.10
- - stream: '2402'
- os: 'ubuntu2404'
- # ubuntu-24.04 introduced in VPP 24.10
- stream: '2406'
os: 'ubuntu2404'
# [end] VPP-AARCH64 PROJECT
@@ -360,10 +335,6 @@
- 'master':
branch: 'master'
branch-refspec: ''
- - '2402':
- branch: 'stable/2402'
- branch-refspec: ''
- os: 'ubuntu2204'
- '2406':
branch: 'stable/2406'
branch-refspec: ''